|
Menu location |
---|
TechDraw → Dimensions → Insert Landmark Dimension - EXPERIMENTAL |
Workbenches |
TechDraw |
Default shortcut |
None |
Introduced in version |
0.19 |
See also |
TechDraw HorizontalDimension, TechDraw VerticalDimension |
Description
The TechDraw LandmarkDimension tool adds a linear dimension to a View. The dimension is based on two point objects (Draft Point, Part Point or PartDesign Point objects) from the 3D model.
The purpose of this tool is to provide a workaround to the corruption of dimensions caused by the "topological naming" issues. The source points should use Expressions or other containing mechanisms to establish their position. Since the points are Document Objects, and not shape components, their name does not change with recomputes, and hence they are easily found.
See TechDraw LengthDimension for more on dimensions and topological naming.
Usage
- Select two point objects in the 3D view or Tree view.
- Add the correct TechDraw View to the selection by selecting it in the Tree view.
- There are several ways to invoke the tool:
- Press the
Insert Landmark Dimension - EXPERIMENTAL button.
- Select the TechDraw → Dimensions →
Insert Landmark Dimension - EXPERIMENTAL option from the menu.
- Press the
- A dimension is added to the View.
- The dimension may be dragged to the desired position.
- If needed, add tolerances as described on this page.
Change properties
To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the Dimension dialog.
Limitations
The Landmark Dimension tool is initially limited to "Distance" dimensions. Other types may be added if demand warrants.
Notes
Properties
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
The Landmark Dimension tool can be used in macros and from the Python console by using the following functions:
dim1 = FreeCAD.ActiveDocument.addObject("TechDraw::LandmarkDimension", "Landmark")
dim1.Type = "Distance"
dim1.References2D = [(TDView, "Vertex1")]
dim1.References3D = [(Point3d1, "Vertex1")]
dim1.References3D = [(Point3d2, "Vertex1")]
page.addView(dim1)
This page is retrieved from https://wiki.freecad.org/TechDraw_LandmarkDimension